/**
 * Mysql diver instance.
 * @memberof module:pon-db-mysql-driver/lib
 * @function driver
 * @param {object} config - Sqlite configuration.
 * @returns {object} - Sqlite instance.
 */

"use strict";

var sqlite3 = require('sqlite3'),
    ponDbDriver = require('pon-db-driver'),
    resource = require('./resource');

var Database = sqlite3.verbose().Database;

function driver(config) {
    var db;
    return ponDbDriver({
        connect: function (callback) {
            db = new Database(config);
            db.serialize(function () {
                callback(null);
            });
        },
        disconnect: function (callback) {
            db.close();
            callback(null);
        },
        resource: function (name, options) {
            options = options || {};
            return resource(db, name, options);
        }
    })
}
module.exports = driver;
